%global sname urllib-gssapi
%global s_name urllib_gssapi

%global python3 python%{python3_pkgversion}

Name:           python-%{sname}
Version:        1.0.1
Release:        14%{?dist}
Summary:        A GSSAPI/SPNEGO authentication handler for urllib/urllib2

License:        ASL 2.0
URL:            https://github.com/pythongssapi/%{sname}
Source0:        https://github.com/pythongssapi/%{sname}/releases/download/v%{version}/%{s_name}-%{version}.tar.gz
BuildArch:      noarch

# Patches

BuildRequires:  git-core

BuildRequires:  %{python3}-devel
BuildRequires:  %{python3}-gssapi
BuildRequires:  %{python3}-nose
BuildRequires:  %{python3}-setuptools

%global _description\
urllib_gssapi is a backend for urllib.  It provides GSSAPI/SPNEGO\
authentication to HTTP servers.  urllib_gssapi replaces urllib_kerberos and\
behaves in the same ways.

%description %_description

%package -n %{python3}-%{sname}
Summary:        %summary
Requires:       %{python3}-gssapi
Obsoletes:      python3-urllib-gssapi < 1.0.1-14
%description -n %{python3}-%{sname} %_description

%prep
%setup -q -n %{s_name}-%{version}

%build
%py3_build


%install
%py3_install

%check
%{__python3} setup.py nosetests

%files -n %{python3}-%{sname}
%doc README.md COPYING
%{python3_sitelib}/%{s_name}*

%changelog
* Tue Nov 19 2019 Robbie Harwood <rharwood@redhat.com> - 1.0.1-14
- Fix package naming

* Mon Oct 14 2019 Robbie Harwood <rharwood@redhat.com> - 1.0.1-13
- Try again at python34/python3 fix...

* Fri Oct 11 2019 Robbie Harwood <rharwood@redhat.com> - 1.0.1-11
- python3?  python34?  Who knows?  Not me.

* Fri Oct 11 2019 Robbie Harwood <rharwood@redhat.com> - 1.0.1-10
- Bring back all the el6 horribleness
- Resolves: #1755010

* Tue Sep 24 2019 Robbie Harwood <rharwood@redhat.com> - 1.0.1-9
- epel-ify package
- Resolves: #1755010

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-8
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Dec 04 2018 Robbie Harwood <rharwood@redhat.com> - 1.0.1-5
- Drop python2 subpackage
- Resolves: #1655258

* Mon Sep 24 2018 Robbie Harwood <rharwood@redhat.com> - 1.0.1-4
- Drop requirement on python-requests
- Resolves: #1631938

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-2
- Rebuilt for Python 3.7

* Fri Feb 23 2018 Robbie Harwood <rharwood@redhat.com> - 1.0.1-1
- New upstream release (v1.0.0)
- Adds COPYING and removes shebang
- Resolves: #1546835

* Mon Feb 19 2018 Robbie Harwood <rharwood@redhat.com> - 1.0.0-1
- New upstream release (v1.0.0)
